Subject: Re: bug#30428: guix git-fetch doesn't specify "--depth 1" - git clone clones a lot without any use

From: Leo Famulari <[email-masked]>
Date: Tue, 13 Feb 2018 09:22:58 -0500

On Mon, Feb 12, 2018 at 11:59:50PM +0100, Danny Milosavljevic wrote:
> Leo Famulari <[email-masked]> wrote:
> 
> > I think it's worth adding, but as an option, because there are Git
> > server implementations, like JGit, that don't support shallow cloning.
> 
> Thanks for that!  I didn't consider that before...
> 
> Possible patch (do you know such servers and can test whether they still work?):

I think that Google's public-facing Git servers use JGit. So, perhaps
try shallow cloning Chromium and see if it works.